---
title: 'primaryKey'
description: 'Define the primary key'
---

# `primaryKey`

::alert{type='info'}
By default, the field `id` is used as primary key.
::

## Usage

### simple

````js
class User extends Model {
  static entity = 'users'

  static primaryKey = 'userId'

  static fields () {
    return {
      userId: this.attr(null)
    }
  }
}
````

### combined

````js
class RoleUser extends Model {
  static entity = 'roleUser'

  static primaryKey = ['role_id', 'user_id']

  static fields () {
    return {
      role_id: this.attr(null),
      user_id: this.attr(null)
    }
  }
}

````

## Typescript Declarations
````ts
const primaryKey: string | string[] = 'id'
````
